Skip to main content
BETAThe Prediction Market API is currently in beta and subject to breaking changes as we continue to improve the product. If you have any feedback, please reach out in Discord.
This doc covers how to view your open positions, sell contracts to reduce or exit positions, and cancel pending orders.

Prerequisite

Before managing positions, ensure you have:
API REFERENCEFor complete endpoint specifications, see the Prediction API Reference.

Viewing Your Positions

See Position Data & History for full details on how to query, filter, and interpret your open positions, including all available parameters and data fields. Example: Fetch all your open positions
For descriptions of all position fields, parameters, and how to aggregate P&L, see the Position Data & History doc.All USD values returned are denominated in native token units of JupUSD or USDC, where 1,000,000 units = $1.00.

Viewing Your Orders

See Position Data & History for details on available parameters, order fields, and examples. Example: Fetch all your open orders

Selling Contracts

You can sell contracts by closing entire position.

Close Entire Position

Use DELETE /positions/{positionPubkey} to sell all contracts in a position.

Close All Positions

Use DELETE /positions to close all your open positions at once. This is useful for quickly exiting all markets. minSellPriceSlippageBps is required (slippage tolerance per sell, in basis points). The request returns { data: [...] }, one sell transaction per open position, each in the same shape as a single close.

Sign and Submit the Transaction

You’ll receive a base64-encoded transaction. You need to sign and submit it to finalize the position closure on-chain.

What’s Next

Learn how to claim payouts when markets settle in your favor, or explore the data endpoints for tracking your activity.

Claim Payouts

Claim winnings after market settlement

Position Data & History

Query positions, orders, and transaction history